
# μFR Example - Node.js NT4H
## Description
Node.js software example for using NT4H NTAG® tags with uFR Series readers. The purpose of this software is to showcase and demonstrate the functionality of the uFCoder API and uFR readers when using NT4H NTAG® tags.
## Installation
In the root folder of the downloaded repository, use the following command to install dependencies:
`npm install`
## Usage
Once the `nmp install` command has finished successfully, start the application by executing the `npm start` command. 
The Node.js express server should start at address `127.0.0.1:3000` by default. 
So simply open a web browser of your choice, and navigate to the given address. 
## Troubleshooting
Depending on the Node.js version installed and platform used, the `server.js` script should be modified so that it can load the correct version of uFCoder library. 
By default, on `npm start` command, it'll try to load uFCoder x86_64 library for Windows. 
To load a different uFCoder library: 
1. Open `server.js` script with an editor of your choice. 
2. Find the following: `var dllPath = "ufr-lib/windows/x86_64/uFCoder-x86_64.dll"`
3. Change the value of the `dllPath` variable, to the path of the uFCoder library you want to use instead. For example: `ufr-lib/macos/universal/libuFCoder-macos.dylib`
4. Save the changes made to `server.js` script
5. Try running `npm start` again
## Support
For more details on available support: click [here](https://www.d-logic.com/nfc-rfid-reader-sdk/general-support/)
## Contact
Contact us [here](https://www.d-logic.com/contact-us/)
